local VillageDeco = ...

VillageDeco:register({
	DataType = "MONUMENT",
	Id = "FENCE_MONUMENT",
	Name = "FENCE_NAME",
	Description = "FENCE_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "FENCE_DARK_NAME",
	        BuildingPartList = {
				"PREFAB_FENCE_SINGLE_DARK",
				"PREFAB_BRICK_WALL_DARK",
				"PREFAB_BROKEN_WALL_DARK",
				"PREFAB_PILLAR1_DARK",
				"PREFAB_PILLAR2_DARK",
				"PREFAB_BRICK_PILLAR_DARK",
				"PREFAB_ARCH_DARK"
			}
		},
		{
			Name = "FENCE_LIGHT_NAME",
	        BuildingPartList = {
				"PREFAB_FENCE_SINGLE_LIGHT",
				"PREFAB_BRICK_WALL_LIGHT",
				"PREFAB_BROKEN_WALL_LIGHT",
				"PREFAB_PILLAR1_LIGHT",
				"PREFAB_PILLAR2_LIGHT",
				"PREFAB_BRICK_PILLAR_LIGHT",
				"PREFAB_ARCH_LIGHT"
			}
		},
		{
			Name = "FENCE_GATE_NAME",
	        BuildingPartList = {
				"PREFAB_IRON_GATE_SINGLE",
				"PREFAB_IRON_GATE_LOCK",
				"PREFAB_IRON_GATE_DOOR"
			}
		},
		{
			Name = "FENCE_DECO_NAME",
			BuildingPartList = {
				"PREFAB_CROSS",
				"PREFAB_LANTERN",
				"PREFAB_FLEURDELIS",
				"PREFAB_BRAZIER_ON",
				"PREFAB_BRAZIER_OFF"
			}
		},
		{
			Name = "FENCE_ORNA_NAME",
			BuildingPartList = {
				"PREFAB_ORNAMENT_FLEUR"
			}
		}
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})